summary refs log tree commit diff
diff options
context:
space:
mode:
-rwxr-xr-xbin/hibiki/prompt6
1 files changed, 4 insertions, 2 deletions
diff --git a/bin/hibiki/prompt b/bin/hibiki/prompt
index e28336d..4109817 100755
--- a/bin/hibiki/prompt
+++ b/bin/hibiki/prompt
@@ -11,9 +11,11 @@ fi
 RESET="\[$(tput sgr0)\]"
 
 # count jobs
-JOBS='`[ \j -gt 0 ] && printf " 󰘙 \j"`'
+# shellcheck disable=SC2016
+JOBS='`[ \j -gt 0 ] && printf " ∆\j"`'
 
 # show git-bug tickets
-BUGS='`exit=$?; git rev-parse >/dev/null 2>&1 && printf " 󰨰 $(git bug ls --status=open | wc -l)"; exit $exit`'
+# shellcheck disable=SC2016
+BUGS='`exit=$?; git rev-parse >/dev/null 2>&1 && { bugn=$(git bug ls --status=open | wc -l); [ $bugn -gt 0 ] && printf " ⚑${bugn}"; }; exit $exit`'
 
 echo "${SET_TERM_TITLE}${color}\w${RESET}${JOBS}${BUGS} ❱ "